Subject: Re: bug#42832: 28.0.50; "Bus error" when compiling Emacs now on Debian bullseye

From: Pip Cet <[email-masked]>
Date: Wed, 12 Aug 2020 21:42:50 +0000

On Wed, Aug 12, 2020 at 8:48 PM Lars Ingebrigtsen <[email-masked]> wrote:
> Paul Eggert <[email-masked]> writes:
>
> > A quick workaround might be to revert that particular commit; could
> > you try the attached patch? It passes "make check" for me.
>
> Yup; with that patch applied, the bus error goes away.

That is strange.

> But it's an odd problem -- I've tried building on three machines now,
> and it only fails on one.  The machine it fails on and one it works on
> are both Debian bullseye, both with the same compiler version, etc.

Same sysctl settings, too? In particular, address randomization
appears to be enabled, does this also happen if you disable it (echo 0
| sudo tee /proc/sys/kernel/randomize_va_space) ?

> And
> on the one machine it does fail on, it only fails when saying "make -j2"
> or higher.
>
> So for all I know, there is some kind of very strange hardware error on
> that machine...  although that's looking kinda unlikely now.

I'm thinking it might "simply" be a very timing-sensitive issue, which
would exonerate me :-)